Workers' compensation class codes for an EMPLOYERS application
GET
/broker/submissions/{submission_id}/applications/{session_id}/employers-classes
const url = 'https://api.hedgespecialty.com/api/v1/broker/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/applications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/employers-classes?state=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.hedgespecialty.com/api/v1/broker/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/applications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/employers-classes?state=example' \ --header 'Authorization: Bearer <token>'The carrier’s class catalog for the given state (2-letter code),
for an EMPLOYERS workers’ compensation application on this
submission. Use the returned codes as the classification answers in
that application’s checkpoint. 404 for applications that are not
EMPLOYERS WC.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”submission_id
required
string format: uuid
session_id
required
string format: uuid
Query Parameters
Section titled “Query Parameters”state
required
string
Responses
Section titled “Responses”Class catalog for the state
Submission or EMPLOYERS application not found
Invalid state or the carrier catalog is unavailable